# MoveTicketToOriginalQueue.pm - Move ticket to the queue it was
# originally destined for.
# Phil Homewood <pdh@snapgear.com> 20020623

package RT::Action::MoveTicketToOriginalQueue;
require RT::Action::Generic;
@ISA = qw(RT::Action::Generic);

# {{{ sub Prepare
sub Prepare  {
	my $self = shift;
	# We're always Prepare()d.
	return 1;
}
# }}}


# {{{ sub Commit
sub Commit {
	my $queue;
	my $self = shift;
	# In RT <= 2.0.13, RT::Transaction::Message is documented as
	# returning an RT::Attachment, where in fact it returns an
	# RT::Attachments. Jesse confirms that this is a doco error.
	my $txn = $self->TicketObj->Transactions->First->Message->First;
        if ($queue = $txn->GetHeader('X-RT-Queue')) {
		return $self->TicketObj->SetQueue($queue);
	}
	return 0;
}
# }}}

1;
